.. _VI API 2.5: ../../../vim/version.rst#vimversionversion2

.. _vim.host.HardwareStatusInfo.HardwareElementInfo: ../../../vim/host/HardwareStatusInfo/HardwareElementInfo.rst

.. _vim.host.HardwareStatusInfo.StorageStatusInfo.OperationalInfo: ../../../vim/host/HardwareStatusInfo/StorageStatusInfo/OperationalInfo.rst


vim.host.HardwareStatusInfo.StorageStatusInfo
=============================================
  Data object describing the operational status of various storage elements.
:extends: vim.host.HardwareStatusInfo.HardwareElementInfo_
:since: `VI API 2.5`_

Attributes:
    operationalInfo ([`vim.host.HardwareStatusInfo.StorageStatusInfo.OperationalInfo`_], optional):

       Other information regarding the operational state of the storage element.
